﻿<Window x:Class="BGProcessing.BGProgressBar"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:BGProcessing"
        xmlns:tools="clr-namespace:Tools;assembly=Tools"
        mc:Ignorable="d"
        x:Name="MainWindow"
        Title="{Binding Strings.ProgressBarTitle}" Height="150" Width="300">
    <Window.DataContext>
        <local:BGProgressBarViewModel />
    </Window.DataContext>
    <Window.Resources>
        <ResourceDictionary>
            <local:BGProgressBarViewModel x:Key="BGProgressBarViewModel" />
            <tools:MathConverter x:Key="MathConverter" />
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="pack://application:,,,/BGProcessing;component/Templates/TActionButton.xaml"/>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </Window.Resources>
    <Grid
        x:Name="MainGrid">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <TextBlock
            Grid.Row="0"
            x:Name="ClienName"
            Height="{Binding ElementName=MainGrid, Path=ActualHeight,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 6}"
            VerticalAlignment="Top"
            Text="{Binding DatabaseModel.ClientName}"
            >
        </TextBlock>
        <TextBlock
            Grid.Row="0"
            x:Name="ClientDatabaseName"
            Height="{Binding ElementName=MainGrid, Path=ActualHeight,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 6}"
            VerticalAlignment="Bottom"
            Text="{Binding DatabaseModel.DatabaseAliasName}"
            >
        </TextBlock>
        <TextBlock
            Grid.Row="1"
            x:Name="ScriptModel"
            Height="{Binding ElementName=MainGrid, Path=ActualHeight,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 6}"
            VerticalAlignment="Top"
            Text="{Binding ScriptModel.Name}"
            >
        </TextBlock>
        <ProgressBar 
            Grid.Row="1"
            x:Name="ProgressBar"
            Height="{Binding ElementName=MainGrid, Path=ActualHeight,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 6}"
            HorizontalAlignment="Center" 
            VerticalAlignment="Bottom"           
            Width="{Binding ElementName=MainGrid, Path=ActualWidth,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE * 0.95}"
            Value="{Binding Progress, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
            Maximum="{Binding ProgressMax, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
            />
        <TextBlock
            Grid.Row="1"
            Height="{Binding ElementName=MainGrid, Path=ActualHeight,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 6}"
            HorizontalAlignment="Center" 
            VerticalAlignment="Bottom"           
            Width="{Binding ElementName=MainGrid, Path=ActualWidth,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE * 0.95}"
            Text="{Binding ProgressMessage, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
            TextAlignment="Center"
            FontSize="14"
            FontWeight="Bold">
        </TextBlock>
        <Button
            Grid.Row="2"
            Style="{StaticResource ActionButton}"
            Content="{Binding Strings.ButtonCancel}"
            HorizontalAlignment="Center" 
            VerticalAlignment="Center"           
            Width="{Binding ElementName=MainGrid, Path=ActualWidth,
            Converter={StaticResource MathConverter},
            ConverterParameter=@VALUE / 2}"
            Command="{Binding CancelCommand}"
            CommandParameter="{Binding ElementName=MainWindow}">
        </Button>
    </Grid>
</Window>
